Lavalite package that provides me management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `me/me`.

    "me/me": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Me\Me\Providers\MeServiceProvider::class,

And also add it to alias

    'Me'  => Me\Me\Facades\Me::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Me\\Me\\Seeders\\MeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Me\Me\Providers\MeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Me\Me\Providers\MeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Me\Me\Providers\MeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/me/{modulename}

**User**

    http://path-to-route-folder/user/me/{modulename}

**Public**

    http://path-to-route-folder/mes


### API endpoints

**List**

    http://path-to-route-folder/api/user/me/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/me/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/me/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/me/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/me/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/me/{modulename}/{slug}
    METHOD: GET